## espeak 1.15

=== src/Makefile ===
speak_SOURCES = speak.cpp compiledict.cpp dictionary.cpp intonation.cpp \
	readclause.cpp setlengths.cpp \
	synthdata.cpp synthesize.cpp translate.cpp tr_english.cpp \
	tr_languages.cpp voices.cpp wavegen.cpp

libespeak_SOURCES = speak_lib.cpp compiledict.cpp dictionary.cpp intonation.cpp \
	readclause.cpp setlengths.cpp \
	synthdata.cpp synthesize.cpp translate.cpp tr_english.cpp \
	tr_languages.cpp voices.cpp wavegen.cpp


SRCS1=$(speak_SOURCES)
OBJS1=$(patsubst %.cpp,%.o,$(SRCS1))
LIBS1=-lstdc++ -lportaudio

SRCS2=$(libespeak_SOURCES)
OBJS2=$(patsubst %.cpp,x_%.o,$(SRCS2))
LIBS2=-lstdc++



all: speak libespeak.so
	mv libespeak.so libespeak.so.1.1.15

.cpp.o:
	$(CXX) $(CXXFLAGS) -O2 -Wall -pedantic -I. -c -fno-exceptions $<

speak: $(OBJS1)
	$(CXX) -o $@ $(OBJS1) $(LIBS1)



x_%.o: %.cpp
	$(CXX) $(CXXFLAGS) -O2 -Wall -fpic -fvisibility=hidden -pedantic \
	-I. -D LIBRARY -c -fno-exceptions $<  -o x_$*.o

libespeak.so: $(OBJS2)
	$(CXX) -shared -Wl,-soname,libespeak.so.1 -o $@ $(OBJS2) $(LIBS2)

clean:
	rm -f *.o *~

distclean: clean
	rm -f speak
	rm -f libespeak.so*

## espeak 1.16

=== riscos/Makefile ===
# Project:   Speak3


# Toolflags:
CCflags = -c -C90 -depend !Depend -IC: -throwback -zM
C++flags = -c -depend !Depend -IC: -throwback -zM
Linkflags = -rmf -c++ -o $@
ObjAsmflags = -throwback -NoCache -depend !Depend
CMHGflags = 
LibFileflags = -c -o $@
Squeezeflags = -o $@


# Final targets:
@.speakmod:   @.o.speak_riscos @.o.compiledict @.o.dictionary \
        @.o.intonation @.o.readclause @.o.setlengths @.o.synthdata \
        @.o.synthesize @.o.translate  @.o.tr_languages \
        @.o.tr_english @.o.wavegen @.o.voices @.o.assemb @.o.cmhgfile
        Link $(Linkflags) C:o.stubs C:o.c++lib @.o.speak_riscos @.o.compiledict \
        @.o.dictionary @.o.intonation @.o.readclause @.o.setlengths \
        @.o.synthdata @.o.synthesize \
        @.o.translate @.o.tr_english @.o.wavegen @.o.tr_languages \
        @.o.voices @.o.assemb @.o.cmhgfile


# User-editable dependencies:

# Static dependencies:
@.o.speak_riscos:   @.cpp.speak_riscos
        c++ $(c++flags) -o @.o.speak_riscos @.cpp.speak_riscos 
@.o.compiledict:   @.cpp.compiledict
        c++ $(c++flags) -o @.o.compiledict @.cpp.compiledict 
@.o.dictionary:   @.CPP.dictionary
        c++ $(c++flags) -o @.o.dictionary @.CPP.dictionary 
@.o.intonation:   @.CPP.intonation
        c++ $(c++flags) -o @.o.intonation @.CPP.intonation
@.o.readclause:   @.CPP.readclause
        c++ $(c++flags) -o @.o.readclause @.CPP.readclause
@.o.setlengths:   @.CPP.setlengths
        c++ $(c++flags) -o @.o.setlengths @.CPP.setlengths 
@.o.synthdata:   @.CPP.synthdata
        c++ $(c++flags) -o @.o.synthdata @.CPP.synthdata 
@.o.synthesize:   @.CPP.synthesize
        c++ $(c++flags) -o @.o.synthesize @.CPP.synthesize 
@.o.translate:   @.CPP.translate
        c++ $(c++flags) -o @.o.translate @.CPP.translate 
@.o.tr_english:   @.CPP.tr_english
        c++ $(c++flags) -o @.o.tr_english @.CPP.tr_english 
@.o.tr_languages:   @.CPP.tr_languages
        c++ $(c++flags) -o @.o.tr_languages @.CPP.tr_languages 
@.o.voices:   @.CPP.voices
        c++ $(c++flags) -o @.o.voices @.CPP.voices 
@.o.wavegen:   @.CPP.wavegen
        c++ $(c++flags) -o @.o.wavegen @.CPP.wavegen 
@.o.assemb:   @.s.assemb
        objasm $(objasmflags) -from @.s.assemb -to @.o.assemb

# Dynamic dependencies:

=== src/Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 
 all: speak libespeak.so
-	mv libespeak.so libespeak.so.1.1.15
+	mv libespeak.so libespeak.so.1.1.16
 
 .cpp.o:
 	$(CXX) $(CXXFLAGS) -O2 -Wall -pedantic -I. -c -fno-exceptions $<

## espeak 1.36

=== src/Makefile ===
# remove -fno-exceptions  if it causes problems with stdio library on some platforms (ARM)

PREFIX=/
BINDIR=$(PREFIX)/usr/bin
INCDIR=$(PREFIX)/usr/include/espeak
LIBDIR=$(PREFIX)/usr/lib
DATADIR=$(PREFIX)/usr/share/espeak-data

RELEASE = 1.36
BIN_NAME = speak
BIN2_NAME = espeak
LIB_NAME = libespeak.so
STATIC_LIB_NAME = libespeak.a
LIB_VERSION = 1
LIBTAG = $(LIB_VERSION).$(RELEASE)

# Use SONAME_OPT=-Wl,h, on Solaris
SONAME_OPT=-Wl,-soname,

# Use EXTRA_LIBS=-lm on Solaris
EXTRA_LIBS =

INSTALL = install
LN_SF = /bin/ln -sf
MKDIR = mkdir -p

#AUDIO = pulseaudio
AUDIO = portaudio


ifeq ($(AUDIO),pulseaudio)
WAVE=wave_pulse.cpp
LIB_AUDIO=-lpulse
USE_AUDIO=-DUSE_PULSEAUDIO
else ifeq ($(AUDIO),portaudio)
WAVE=wave.cpp
LIB_AUDIO=-lportaudio
USE_AUDIO=-DUSE_PORTAUDIO
else
WAVE=wave.cpp
endif

speak_SOURCES = speak.cpp compiledict.cpp dictionary.cpp intonation.cpp \
	readclause.cpp setlengths.cpp numbers.cpp synth_mbrola.cpp \
	synthdata.cpp synthesize.cpp translate.cpp tr_english.cpp \
	tr_languages.cpp voices.cpp wavegen.cpp phonemelist.cpp

libespeak_SOURCES = speak_lib.cpp compiledict.cpp dictionary.cpp intonation.cpp \
	readclause.cpp setlengths.cpp numbers.cpp synth_mbrola.cpp \
	synthdata.cpp synthesize.cpp translate.cpp tr_english.cpp \
	tr_languages.cpp voices.cpp wavegen.cpp phonemelist.cpp \
	espeak_command.cpp event.cpp fifo.cpp $(WAVE) debug.cpp

SRCS1=$(speak_SOURCES)
OBJS1=$(patsubst %.cpp,%.o,$(SRCS1))
LIBS1=-lstdc++ $(LIB_AUDIO) -lpthread $(EXTRA_LIBS)

SRCS2=$(libespeak_SOURCES)
OBJS2=$(patsubst %.cpp,x_%.o,$(SRCS2))
LIBS2=-lstdc++ $(LIB_AUDIO) -lpthread

SRCS3 = espeak.cpp
OBJS3=$(patsubst %.cpp,%.o,$(SRCS3))
LIBS3=-lstdc++ -L . -lespeak

CXXFLAGS=-O2


all: $(BIN_NAME) $(LIB_NAME) $(STATIC_LIB_NAME) $(BIN2_NAME)
	mv $(LIB_NAME) $(LIB_NAME).$(LIBTAG)

.cpp.o:
	$(CXX) $(CXXFLAGS) $(USE_AUDIO) -D PATH_ESPEAK_DATA=\"$(DATADIR)\" -Wall -pedantic -I. -c -fno-exceptions  $<

$(BIN_NAME): $(OBJS1)
	$(CXX) -o $@ $(OBJS1) $(LIBS1)

$(BIN2_NAME): $(OBJS3) $(LIB_NAME)
	$(CXX) -o $@ $(OBJS3) $(LIBS3)



x_%.o: %.cpp
	$(CXX) $(CXXFLAGS) $(USE_AUDIO) -Wall -fpic -pedantic \
	-I. -D LIBRARY -c -fno-exceptions  $<  -o x_$*.o

$(LIB_NAME): $(OBJS2)
	$(CXX) -shared $(SONAME_OPT)$(LIB_NAME).$(LIB_VERSION) -o $@ $(OBJS2) $(LIBS2)

$(STATIC_LIB_NAME): $(OBJS2)
	$(AR) cqs $(STATIC_LIB_NAME) $(OBJS2)

clean:
	rm -f *.o *.a *~

distclean: clean
	rm -f $(BIN_NAME)
	rm -f $(BIN2_NAME)
	rm -f $(LIB_NAME)*

install: all
	# Create directories
	rm -rf $(DESTDIR)$(DATADIR)
	$(MKDIR) $(DESTDIR)$(BINDIR)
	$(MKDIR) $(DESTDIR)$(LIBDIR)
	$(MKDIR) $(DESTDIR)$(INCDIR)
	$(MKDIR) $(DESTDIR)$(DATADIR)
	# Install espeak executable
	$(INSTALL) -m 755 $(BIN2_NAME) $(DESTDIR)$(BINDIR)
	# Install shared library
	$(INSTALL) -m 755 $(LIB_NAME).$(LIBTAG) $(DESTDIR)$(LIBDIR)
	# Install static library
	$(INSTALL) -m 755 $(STATIC_LIB_NAME) $(DESTDIR)$(LIBDIR)
	$(LN_SF) $(LIB_NAME).$(LIBTAG) $(DESTDIR)$(LIBDIR)/$(LIB_NAME).$(LIB_VERSION)
	$(LN_SF) $(LIB_NAME).$(LIB_VERSION) $(DESTDIR)$(LIBDIR)/$(LIB_NAME)
	# Install development headers
	$(INSTALL) -pm 644 speak_lib.h $(DESTDIR)$(INCDIR)
	# Install data files
	cp -prf ../espeak-data/* $(DESTDIR)$(DATADIR)

## espeak 1.37

=== src/Makefile ===
--- 
+++ 
@@ -1,12 +1,12 @@
 # remove -fno-exceptions  if it causes problems with stdio library on some platforms (ARM)
 
-PREFIX=/
-BINDIR=$(PREFIX)/usr/bin
-INCDIR=$(PREFIX)/usr/include/espeak
-LIBDIR=$(PREFIX)/usr/lib
-DATADIR=$(PREFIX)/usr/share/espeak-data
+PREFIX=/usr
+BINDIR=$(PREFIX)/bin
+INCDIR=$(PREFIX)/include/espeak
+LIBDIR=$(PREFIX)/lib
+DATADIR=$(PREFIX)/share/espeak-data
 
-RELEASE = 1.36
+RELEASE = 1.37
 BIN_NAME = speak
 BIN2_NAME = espeak
 LIB_NAME = libespeak.so
@@ -24,20 +24,27 @@
 LN_SF = /bin/ln -sf
 MKDIR = mkdir -p
 
+AUDIO = portaudio
 #AUDIO = pulseaudio
-AUDIO = portaudio
-
+#AUDIO = sada
 
 ifeq ($(AUDIO),pulseaudio)
 WAVE=wave_pulse.cpp
 LIB_AUDIO=-lpulse
 USE_AUDIO=-DUSE_PULSEAUDIO
-else ifeq ($(AUDIO),portaudio)
+else
+ifeq ($(AUDIO),portaudio)
 WAVE=wave.cpp
 LIB_AUDIO=-lportaudio
 USE_AUDIO=-DUSE_PORTAUDIO
 else
+ifeq ($(AUDIO),sada)
+WAVE=wave_sada.cpp
+USE_AUDIO=-DUSE_SADA
+else
 WAVE=wave.cpp
+endif
+endif
 endif
 
 speak_SOURCES = speak.cpp compiledict.cpp dictionary.cpp intonation.cpp \

## espeak 1.41.01-2

=== Makefile ===
PACKAGE:=espeak
VERSION:=1.41.01
URLS=$(URL_SFNET)/espeak
SOURCE:=espeak-$(VERSION)-source.zip

IS_FREMANTLE=$(shell if grep Fremantle /etc/maemo_version &> /dev/null; then echo Y; else echo N; fi)

include ../Rules.make

test:
	@echo $(IS_FREMANTLE)

=== src/Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 LIBDIR=$(PREFIX)/lib
 DATADIR=$(PREFIX)/share/espeak-data
 
-RELEASE = 1.37
+RELEASE = 1.41
 BIN_NAME = speak
 BIN2_NAME = espeak
 LIB_NAME = libespeak.so
@@ -49,14 +49,14 @@
 
 speak_SOURCES = speak.cpp compiledict.cpp dictionary.cpp intonation.cpp \
 	readclause.cpp setlengths.cpp numbers.cpp synth_mbrola.cpp \
-	synthdata.cpp synthesize.cpp translate.cpp tr_english.cpp \
-	tr_languages.cpp voices.cpp wavegen.cpp phonemelist.cpp
+	synthdata.cpp synthesize.cpp translate.cpp \
+	tr_languages.cpp voices.cpp wavegen.cpp phonemelist.cpp klatt.cpp
 
 libespeak_SOURCES = speak_lib.cpp compiledict.cpp dictionary.cpp intonation.cpp \
 	readclause.cpp setlengths.cpp numbers.cpp synth_mbrola.cpp \
-	synthdata.cpp synthesize.cpp translate.cpp tr_english.cpp \
+	synthdata.cpp synthesize.cpp translate.cpp \
 	tr_languages.cpp voices.cpp wavegen.cpp phonemelist.cpp \
-	espeak_command.cpp event.cpp fifo.cpp $(WAVE) debug.cpp
+	espeak_command.cpp event.cpp fifo.cpp $(WAVE) debug.cpp klatt.cpp
 
 SRCS1=$(speak_SOURCES)
 OBJS1=$(patsubst %.cpp,%.o,$(SRCS1))
@@ -88,7 +88,7 @@
 
 
 x_%.o: %.cpp
-	$(CXX) $(CXXFLAGS) $(USE_AUDIO) -Wall -fpic -pedantic \
+	$(CXX) $(CXXFLAGS) $(USE_AUDIO) -Wall -fpic -fvisibility=hidden -pedantic \
 	-I. -D LIBRARY -c -fno-exceptions  $<  -o x_$*.o
 
 $(LIB_NAME): $(OBJS2)

=== debian/changelog ===
espeak (1.41.01-2) unstable; urgency=low

  * Adjust CFLAGS
  * Use pulseaudio driver under Fremantle

 -- Kaj-Michael Lang <milang@tal.org>  Fri, 16 Oct 2009 13:40:00 +0200

espeak (1.41.01-1) unstable; urgency=low

  * Rebuild with portaudio enabled

 -- Kaj-Michael Lang <milang@tal.org>  Wed, 09 Sep 2009 15:05:00 +0200

espeak (1.41.01) unstable; urgency=low

  * Update to 1.41.01

 -- Kaj-Michael Lang <milang@tal.org>  Wed, 09 Sep 2009 13:19:00 +0200

espeak (1.40.02) unstable; urgency=low

  * Update to 1.40.02
  * Use helper system to build from zip file

 -- Kaj-Michael Lang <milang@tal.org>  Fri, 16 Jan 2009 12:00:00 +0200

espeak (1.28) unstable; urgency=low

  * Ported to maemo

 -- Kaj-Michael Lang <milang@tal.org>  Mon, 06 Aug 2007 18:50:00 +0200

=== debian/control ===
Source: espeak
Section: libs
Architecture: any
Priority: optional
Maintainer: Kaj-Michael Lang
Build-Depends: debhelper (>= 4.1.0), cdbs, portaudio19-dev | pulseaudio-dev
Standards-Version: 3.8.0

Package: espeak
Architecture: any
Depends: ${shlibs:Depends}
Description: espeak speech synth binary

Package: libespeak
Architecture: any
Depends: ${shlibs:Depends}, espeak-data
Description: espeak speech synth library

Package: libespeak-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}
Description: espeak speech synth header

Package: espeak-data
Architecture: any
Section: data
Description: espeak speech data files

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

IS_FREMANTLE=$(shell if grep Fremantle /etc/maemo_version &> /dev/null; then echo Y; else echo N; fi)

# Make sure we get properly optimized
DEB_OPT_FLAG_armel:=-O2 -fomit-frame-pointer -pipe -mcpu=arm1136jf-s -mfpu=vfp -mfloat-abi=softfp
DEB_OPT_FLAG_i386:=-O2 -fomit-frame-pointer -pipe -march=i686 -mtune=pentium2
DEB_OPT_FLAG:=$(DEB_OPT_FLAG_$(DEB_HOST_ARCH))

DEB_TAR_SRCDIR:=espeak-1.41.01-source/src
DEB_DESTDIR=$(CURDIR)/debian/tmp
#DEB_MAKE_BUILD_TARGET:=all AUDIO=none
#DEB_MAKE_INSTALL_TARGET=install DESTDIR=$(DEB_DESTDIR) AUDIO=none

# Pulseaudio for Fremantle, portaudio for the rest, deal with harmatan and such later...
ifeq ($(IS_FREMANTLE),Y)
DEB_MAKE_BUILD_TARGET:=all AUDIO=pulseaudio
DEB_MAKE_INSTALL_TARGET=install DESTDIR=$(DEB_DESTDIR) AUDIO=pulseaudio
else
DEB_MAKE_BUILD_TARGET:=all AUDIO=portaudio
DEB_MAKE_INSTALL_TARGET=install DESTDIR=$(DEB_DESTDIR) AUDIO=portaudio
endif

include /usr/share/cdbs/1/rules/tarball.mk

configure/espeak::
	cp build-tree/$(DEB_TAR_SRCDIR)/portaudio19.h build-tree/$(DEB_TAR_SRCDIR)/portaudio.h

## espeak 1.42.02

=== debian/changelog ===
espeak (1.42.02) unstable; urgency=low

  * New upstream release

 -- Kaj-Michael Lang <milang@tal.org>  Tue, 03 Dec 2009 17:10:00 +0200

espeak (1.41.01-4) unstable; urgency=low

  * Move data files to /opt if we are on Fremantle

 -- Kaj-Michael Lang <milang@tal.org>  Tue, 24 Nov 2009 14:30:00 +0200

espeak (1.41.01-3) unstable; urgency=low

  * Adjust package sections

 -- Kaj-Michael Lang <milang@tal.org>  Tue, 27 Oct 2009 14:21:00 +0200

=== debian/control ===
Source: espeak
Priority: optional
Maintainer: Kaj-Michael Lang
Build-Depends: debhelper (>= 4.1.0), cdbs, portaudio19-dev | pulseaudio-dev
Standards-Version: 3.8.0

Package: espeak
Architecture: any
Section: user/multimedia
Maemo-Display-Name: Speech synthesizer 
Depends: ${shlibs:Depends}, espeak-data
Description: Speech synthesizer for English and other languages
 eSpeak is a compact open source software speech synthesizer for English and other languages.
 This package provides the espeak binary for the command line only.
 You can find more information about eSpeak at http://espeak.sourceforge.net/

Package: libespeak
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, espeak-data
Description: eSpeak speech synthesizer library

Package: libespeak-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, libespeak
Description: eSpeak speech synthesizer development files

Package: espeak-data
Architecture: any
Section: data
Description: eSpeak speech data files

## espeak 1.42.02-1

=== Makefile ===
PACKAGE:=espeak
VERSION:=1.42.02
URLS=$(URL_SFNET)/espeak
SOURCE:=espeak-$(VERSION)-source.zip

include ../Rules.make

=== src/Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 LIBDIR=$(PREFIX)/lib
 DATADIR=$(PREFIX)/share/espeak-data
 
-RELEASE = 1.41
+RELEASE = 1.42
 BIN_NAME = speak
 BIN2_NAME = espeak
 LIB_NAME = libespeak.so

=== debian/changelog ===
espeak (1.42.02-1) unstable; urgency=high

  * Depend on exact versions so everything gets updated properly

 -- Kaj-Michael Lang <milang@tal.org>  Tue, 04 Dec 2009 22:31:00 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Architecture: any
 Section: user/multimedia
 Maemo-Display-Name: Speech synthesizer 
-Depends: ${shlibs:Depends}, espeak-data
+Depends: ${shlibs:Depends}, libespeak (>= 1.42.02), espeak-data (>= 1.42.02)
 Description: Speech synthesizer for English and other languages
  eSpeak is a compact open source software speech synthesizer for English and other languages.
  This package provides the espeak binary for the command line only.
@@ -17,13 +17,13 @@
 Package: libespeak
 Architecture: any
 Section: libs
-Depends: ${shlibs:Depends}, espeak-data
+Depends: ${shlibs:Depends}, espeak-data (>= 1.42.02)
 Description: eSpeak speech synthesizer library
 
 Package: libespeak-dev
 Architecture: any
 Section: libdevel
-Depends: ${shlibs:Depends}, libespeak
+Depends: ${shlibs:Depends}, libespeak (>= 1.42.02)
 Description: eSpeak speech synthesizer development files
 
 Package: espeak-data

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

IS_FREMANTLE=$(shell if grep Fremantle /etc/maemo_version &> /dev/null; then echo y; else echo n; fi)

DEB_TAR_SRCDIR:=espeak-1.42.02-source/src
DEB_DESTDIR=$(CURDIR)/debian/tmp
#DEB_MAKE_BUILD_TARGET:=all AUDIO=none
#DEB_MAKE_INSTALL_TARGET=install DESTDIR=$(DEB_DESTDIR) AUDIO=none

# Pulseaudio for Fremantle, portaudio for the rest, deal with harmatan and such later...
# And move data files to /opt, this sucks so bad
ifeq ($(IS_FREMANTLE),y)
DEB_MAKE_BUILD_TARGET:=all AUDIO=pulseaudio DATADIR=/opt/espeak/data
DEB_MAKE_INSTALL_TARGET=install DESTDIR=$(DEB_DESTDIR) AUDIO=pulseaudio DATADIR=/opt/espeak/data
DEB_OPT_FLAG_armel:=-O2 -fomit-frame-pointer -pipe -mcpu=cortex-a8
else
DEB_MAKE_BUILD_TARGET:=all AUDIO=portaudio
DEB_MAKE_INSTALL_TARGET=install DESTDIR=$(DEB_DESTDIR) AUDIO=portaudio
DEB_OPT_FLAG_armel:=-O2 -fomit-frame-pointer -pipe -mcpu=arm1136jf-s -mfpu=vfp -mfloat-abi=softfp
endif

# Make sure we get properly optimized
DEB_OPT_FLAG_i386:=-O2 -fomit-frame-pointer -pipe -march=i686 -mtune=pentium2
DEB_OPT_FLAG:=$(DEB_OPT_FLAG_$(DEB_HOST_ARCH))

include /usr/share/cdbs/1/rules/tarball.mk

configure/espeak::
	cp build-tree/$(DEB_TAR_SRCDIR)/portaudio19.h build-tree/$(DEB_TAR_SRCDIR)/portaudio.h
ifeq ($(IS_FREMANTLE),y)
	sed -i -e s,/usr/share/espeak-data,/opt/espeak/data, build-tree/$(DEB_TAR_SRCDIR)/speech.h
	sed -e s,@DATADIR@,/opt/espeak/data, debian/espeak-data.install.in > debian/espeak-data.install 
else
	sed -e s,@DATADIR@,/usr/share/espeak-data, debian/espeak-data.install.in > debian/espeak-data.install 
endif

install/espeak::
	strip -g debian/tmp/usr/bin/espeak

## espeak 1.42.04

=== Makefile ===
PACKAGE:=espeak
VERSION:=1.42.04
URLS=$(URL_SFNET)/espeak
SOURCE:=espeak-$(VERSION)-source.zip

include ../Rules.make

ifeq ($(IS_FREMANTLE),y)
ADRIVER:=pulseaudio
else
ADRIVER:=portaudio19
endif

debian/control:: debian/control.in Makefile debian/rules debian/changelog
	@echo "*** Using audio driver: $(ADRIVER)"
	sed -e s,@AUDIODRIVER@,$(ADRIVER), debian/control.in > debian/control

=== debian/changelog ===
espeak (1.42.04) unstable; urgency=low

  * New upstream release

 -- Kaj-Michael Lang <milang@tal.org>  Sat, 09 Jan 2010 01:37:00 +0200

=== debian/control ===
Source: espeak
Priority: optional
Maintainer: Kaj-Michael Lang
Build-Depends: debhelper (>= 4.1.0), cdbs, pulseaudio-dev
Standards-Version: 3.8.0

Package: espeak
Architecture: any
Section: user/multimedia
XB-Maemo-Display-Name: eSpeak CLI Speech synthesizer 
Depends: ${shlibs:Depends}, libespeak (>= 1.42.04), espeak-data (>= 1.42.04)
Description: Speech synthesizer for English and other languages
 eSpeak is a compact open source software speech synthesizer for English and other languages.
 This package provides the espeak binary for the command line only.
 You can find more information about eSpeak at http://espeak.sourceforge.net/

Package: libespeak
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, espeak-data (>= 1.42.04), pulseaudio
Description: eSpeak speech synthesizer library

Package: libespeak-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, libespeak (>= 1.42.04)
Description: eSpeak speech synthesizer development files

Package: espeak-data
Architecture: any
Section: data
Description: eSpeak speech data files

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 IS_FREMANTLE=$(shell if grep Fremantle /etc/maemo_version &> /dev/null; then echo y; else echo n; fi)
 
-DEB_TAR_SRCDIR:=espeak-1.42.02-source/src
+DEB_TAR_SRCDIR:=espeak-1.42.04-source/src
 DEB_DESTDIR=$(CURDIR)/debian/tmp
 #DEB_MAKE_BUILD_TARGET:=all AUDIO=none
 #DEB_MAKE_INSTALL_TARGET=install DESTDIR=$(DEB_DESTDIR) AUDIO=none

## espeak 1.43

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 PACKAGE:=espeak
-VERSION:=1.42.04
+VERSION:=1.43
 URLS=$(URL_SFNET)/espeak
 SOURCE:=espeak-$(VERSION)-source.zip

=== debian/changelog ===
espeak (1.43) stable; urgency=low

  * New upstream release
  * Add icon and bugtracker e-mail

 -- Kaj-Michael Lang <milang@tal.org>  Tue, 23 Feb 2010 14:57:00 +0200

=== debian/control ===
Source: espeak
Priority: optional
Maintainer: Kaj-Michael Lang
Build-Depends: debhelper (>= 4.1.0), cdbs, pulseaudio-dev
Standards-Version: 3.8.0

Package: espeak
Architecture: any
Section: user/multimedia
XB-Maemo-Display-Name: eSpeak CLI Speech synthesizer 
Depends: ${shlibs:Depends}, libespeak (>= 1.43), espeak-data (>= 1.43)
Description: Speech synthesizer for English and other languages
 eSpeak is a compact open source software speech synthesizer for English and other languages.
 This package provides the espeak binary for the command line only.
 You can find more information about eSpeak at http://espeak.sourceforge.net/
XSBC-Bugtracker: mailto:milang@tal.org
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABHNCSVQICAgI
 fAhkiAAABOFJREFUaIHFml2IVVUUx3+j4zBWpiuMpC+yHdVDH2pCE1OjCNIg
 lTVYGIYRJDqGGmYWA/nQBzYWoT2kjRhUUFZmBmNGQS+lpkVENUIjm0GaajRt
 MaCRjh897D1553rvOXufc6b+j/usvdZ/3bPP2v+194X/AVbkGityZRG+aotw
 kgGLgNHAY3kd1eTnEgcrIkAPMAq406h+lcffiEJYAVZkdKDpo8BY4DxgnRWp
 zxO3kASsyAzgswC7eqC1ZGgKsCJP7NwJWJFJwIdAoxWZnmI+H5hYNrbSikzJ
 Gj/XN2BFLgN2A1f4oY+AFqNayfYioAuYUMHVbmC6UT0RyyHzG7AiI4E1nCUP
 cB9wb5UpHVQmD3Ab8GQWHpnegBUBaAdWVnjcB0wzqt3etgZ4HJdsUtkeAGbE
 VqWsCTwCvJFg0gssAw4Dy4HZga67gSajejCUS3QCVuR64EtgfOzcQGwF5hjV
 MyHGUd+AFZkAdDJ85AFagAWhxsEJ+LX8HGAykIpFuxW5OcQw5g2swu2i/wXG
 AZ1W5II0w6AErMhk4Im8rCJxObDRiiRyTE3AikzErfsxBRGLwVxcCa6KxCrk
 s98ONGck8DNOee4FmoAGIFa8HcOp1p2VHlZNwG9WrwJLIgMCHAXagNeM6qkS
 nwLMA57CLZFQHMHtD/vKHyQl0AjEavUzwHfAg0Z1f4LvscBa4OEkDmXoARqM
 6qHSwYqTrcgNuM1qXKBzgJNAm1F9KXSCFbkVJ0mmBU75Hif6+gcHzknAitQB
 +4GYnrUfp0K/iJgzGK8WuAWYhSvVafgcuGtQuQ6pQn7dbySO/NfA1CzkAYzq
 SaO6B9ehhWAmsMlzPfsG/MBq4OlAR6eBd4ElRis0ABGwIlcDPxKeBDh1u6pU
 3rYSTv5jYINR/TQiYBJaiSMPTsprDYAVaQE+IFxa7DGqDZEBK8KKXIv7OEMP
 BbqATcA7wKEa38fuIG6DOQU8YFS3Rsw5B14gduI+4DQMAM8Da4zq34ODtcDL
 xO+OI3EbVa4EcNI5hPxBXJXbVf5gBDAVuAR4FvgrIvhkK7I4wn4IrMgY4IUA
 0z7g9krkoWwf8A3LDmBSII8/gBtjWsCSWNV66lLsA5qN6i/VDIZ8tEa1Dyfc
 tgfyuBh43YqMCrQHwIrMJP0UoheYlUQeKlQd/2vOBb4N5DMbWBpoixW5Dnib
 ZA3UD9xtVA+k+UsSc+OBA4TV5xPAPKO6JcnIilwK7ASuSvG30Kh2BMStXveN
 6mHgIZxIS0MdsNmKLKjWQfmu7hvSya/HyZkgpEpZK/IiTr+H4hNcad5lVI/7
 jm4ZsJD0cr0NuN+ohvxoQFgCdTgF2BTq1OMoTi/V495QGn4HGo1qT0yQoGbC
 ityE6w8ujHEegWO4Y8W9sRODtI9R/QHXeAwX1mUhD3HnQqtxS6lovAk8k3Vy
 1NmoL4PdwPlZA5ahB7jDqP6a1UHU2ahR/Q13y1IE/gTuyUMesl1wbAM25wnq
 sdio/pTXSXQCRvU0bl/ozRH3FeC9HPP/ReY7MivSjNu0Yn28j5MdwZtVEjLf
 kfl+uC1y2lpgflHkIf81azuwIdD2LWCFUT2eM+YQ5P6rgT+Y2kLyPVgHsLRo
 8lDARbdfDnNw5zQDZY+P4I5MFg0HeSj4zx7+THU57uS5C1g/eN06XPgHW/5n
 01f8e9YAAAAASUVORK5CYII=


Package: libespeak
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, espeak-data (>= 1.43), pulseaudio
Description: eSpeak speech synthesizer library

Package: libespeak-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, libespeak (>= 1.43)
Description: eSpeak speech synthesizer development files

Package: espeak-data
Architecture: all
Section: data
Description: eSpeak speech data files

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 IS_FREMANTLE=$(shell if grep Fremantle /etc/maemo_version &> /dev/null; then echo y; else echo n; fi)
 
-DEB_TAR_SRCDIR:=espeak-1.42.04-source/src
+DEB_TAR_SRCDIR:=espeak-1.43-source/src
 DEB_DESTDIR=$(CURDIR)/debian/tmp
 #DEB_MAKE_BUILD_TARGET:=all AUDIO=none
 #DEB_MAKE_INSTALL_TARGET=install DESTDIR=$(DEB_DESTDIR) AUDIO=none

## espeak 1.43.02

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 PACKAGE:=espeak
-VERSION:=1.43
+VERSION:=1.43.02
 URLS=$(URL_SFNET)/espeak
 SOURCE:=espeak-$(VERSION)-source.zip

=== debian/changelog ===
espeak (1.43.02) stable; urgency=low

  * New upstream release
  * Add CLI overlay to icon

 -- Kaj-Michael Lang <milang@tal.org>  Tue, 09 Mar 2010 13:51:00 +0200

=== debian/control ===
Source: espeak
Priority: optional
Maintainer: Kaj-Michael Lang
Build-Depends: debhelper (>= 4.1.0), cdbs, pulseaudio-dev
Standards-Version: 3.8.0

Package: espeak
Architecture: any
Section: user/multimedia
XB-Maemo-Display-Name: eSpeak CLI Speech synthesizer 
Depends: ${shlibs:Depends}, libespeak (>= 1.43.02), espeak-data (>= 1.43.02)
Description: Speech synthesizer for English and other languages
 eSpeak is a compact open source software speech synthesizer for English and other languages.
 This software can only be run from the command line.
 You can find more information about eSpeak at http://espeak.sourceforge.net/
XSBC-Bugtracker: mailto:milang@tal.org
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
 SU1FB9oDCQs1EYENrRYAAA1vSURBVGjetZp7rGV3Vcc/a/323ufcc+88zlQ7
 TNuhnTmBjoSWUpA0oPjECQXUEEkIMWhBpdCoiRo1CJhU/7HKo0YtlJj4ACJI
 pA8wGJSHhEKhpbS0SNredngI0zLT3Zl7Xnvv328t/zj73DkzvTP3ThlX8ss+
 59y99/ms9Vt7/b7rd66wYNu3bzvY7XR/IQTdF0LIO0VheZ6lkOVNVVfRkkV3
 M3eSiEYRUkoxgUSHlJommidTzaIGjSnGxsxiCFkKISQ3M3OLz0b7BK2+nYfD
 ItIEDY1DAzQiUgWVWkQbDVK7ee3udUqpRrQKIhNg+sA3H4wAAnDJs56VhRRv
 ftZg3zVZUFJsCEHJsoAAyQx3JyUjJcPMzMzd3JKZJZu9So4nM6K7JXdP7jS4
 N47X7tTgFch0b1VfXOD+cFF8EZEJzkiEkcNIYAiMRGQIjMBHZj4y87HDWFUn
 7kzMfXjf1x9oMoCVTnHdlZddcc3jR47Ygw8/YuPJBDObeQeOCAIugjsAYgLu
 js0OGO4GJBBDPIEkgfYzrD3Hg3u40PwiAXGVh36g+i1ETGbnJYQEEgUi0CA0
 gkQRaVQlhpDFXq9neRayF1xxecou/bED+f6LL/qN48eP85+f+byllERDEAFE
 ABNQfJ5mgjiCMoMLgImIz9+rSEIQEG0vcREcxIB4oXDBRDRD4CLkhYfwb6eZ
 A4ZIFJEos1RqB40gNSKNqjaqISaztLK8bKoi2Xg0vmRlubfvzrvu8WQmRVHI
 PLVIQBeoT0Ky9s8BZo4JkEO3htHsTERk/dFyEMfdRPDzRfdk7cVLsOtKeO6d
 Zp8GmYr4VGACTGbvmdDmfFCtHGoRjU3dxIlOrCgK106RXzgajpafPHY8ZSHM
 eBrwCiF3yd/ZiFyexGvEp+AO7i7uTjskuBfqruquZm6zYcnNo5tHM6vNvTrf
 6ffMlnIzOg4dMy51rtxvvsNSGqZkwxjTMKY0SrP345TSxJJNY0xVbGLdNHVT
 N02aTKs0qWpXLO2Y1jVVVbtIm4nnuxQ3NfQeqSneZPT+O9K9vUaea3jt4jg+
 MzL3PLiLuFO45+4eZ4PGoTb3qbtPM/d4MVzcRVgSWHKnB6xA8TLVqwv3iZmt
 mfvQzIfJbBRTGsWYxjHFaYyxamLT1E0Tq7pOdVX5I4886prMlqu6wVKazXeC
 4sZI51ojflGInxfi54T8lU739kbY7k7EAM9Aszazslm2FZ1ZdlRA5S28u08O
 iAy2QWcJ6CH0gOV27IF9b8iynzWzNXdfc/ehmY3MfOLuUzOvklkTY4opJUsx
 +eNHjjqAZlm+1MSImTkmyBKEqxybwvQ1GXavUL0ps+pd6vYldenjOB5Acwhz
 +ABkIuwS2VmI+BwcmOwTOX+PyO4lkXXoZWBZhBURlkV4nshrfi3L9rv7yN1H
 wESEqZlXZtYAEfdUVbWtDYfrRSVT1U7TJBxHVNwr8IcgPBM670voJY48w6l+
 P0uAS4ZrhhSQ6ezhRVv4HOiIhGe67z0KjzrYJar7ntHC91ro5cUj0Ju9zl6R
 ZX981P21H0/piIhUZlYBjaqmlFKKMfq8cMwt7Ny58yfyvDj4+OM/iCKikpB0
 r0h4qZMfdMJ+yF5nEl5s4qti9h2xbqDIQObwuQjFDJ5iBhR2i5y3V3XPTpGV
 3gL0CrCyEPnl1rHe7LOdPx7Chbek9NHqBHyMMVpK6SnwzL5fOikZ63/MwL6m
 Nr4it/HLM4t3ifuj4vkrXHqfinn3edbJGmSeNvmJyNNpq24HWBJh6UR01+EX
 I784G0vttTtFXn5bt/u6rcADqJkV7jY7wYGue/gpQ19gNJ9Us/uFycGsmb5D
 o2yDcNAlLOR8AXTnM9BCnA7+1MgvL5zbBQoRMmCXyPV3LC8/p2maM8IDqIaQ
 m5kBLlGS7IKlTze69G9Rda/PLi0wLVCAMIUMWYfvbAC/mOsrp8K3r0+CF6Fo
 Z7KYJcGOnXDrQzt29M4ED6AiUvhMxxg5+LfE6r8Mpntg+cEmy15l0ruj6RZv
 M7VvQrhFKQS6UehGodPAUoTlKKwkYdnOEPn2s96Co90WPF8oCDoDuwh4/2q/
 r2dyIMtCKNw9iogjOBlevzXEdJ9odtAku9pU7hHxdyv5B5XuYUXPA9/mzCqv
 EB0an6VVZyKsDNcfyvXZWDx228jPZy9vS/EC/JzvtcBXgHed1gFRFZ+l0Gy0
 /sYPaYwf0tT7q7hSvDuQf0/JZfalo1dHJr8bEW9V0UztgMCef8jY/7cdllRQ
 eKyBw4fN/mef6oEleM6SSNHdGvzcrl/t9+8clOUXNnJADhw4cCPw64cOHUpA
 7u7qM9GcOlAsFXSyps1PEQp3wpKQdXyW9y6z3Gd23N4Iu2qpDrl/7JYYb2/c
 j4vImoiMXigSriuKg5eIXNsV2ZMvLIKyMfzcjgIvHZTlNzaqQubuEUgiMp+J
 1KrFTl4JhZ+AL0RYnsDOUtlVKucdU370eGD3ceWCNfVeJd+5LcY/+2iMt0Y4
 1sIP3X30FbPD11TV+z4Q41XABzLwcPrIL9p5wMdX+/3zN3Rg3nS0x6Tg22Al
 EyFXKPQEfBfoqtAN0A2w1I5uwA6Jf/xvYnP9g+4PA8eBNREZmtkYGIvI1N2r
 99f10avG4zfW8BKBz8mZ4ee2D/iP1X5/x8llVNXahzgy64LidljJRaRo0yZ3
 pzOHn1cRYEV1vghNv5zSe2+L8dY5ODBs4UciMhaRibtXZlaragOkK44d+5KK
 /DxwFXD9Fpy4AvjX1X6/WHfA3dM88iKStoksF6qabwC/tFAC56unu3/n32N8
 513ud7fg8/EUeHevQwjR3VNd1+buPijLOCjLO4EeW7OXAX+/XoWA6O4Ns7TZ
 0RPpSvuHk9JmYXXtzRzxNff7PhXjh0t4bA7dps3IzMYt/FyU1aoazcyaprHF
 BWq1398PvIWt26+u9vvfA96RtWlTb4edO2A7Iqj7etWZw3cX6vjY/aFvmt1x
 j9lXRWQN93V4YNxGfiIiUzOrzwTf2pvPYgbm9odAmQFx2azbU90dAdwJbeQ7
 7idHvj12oXuL2d0isuYn4IfAyN3HLfykhW9a+NQ0zVN0zWq//2zgurMAf6BN
 oQ8Bj2cHmmZvA3uPtOUM95nOcWepjfxcGiwcL3xFlj37EzF+dl5p2kZkfErk
 G1WNKSXbSMuv9vsCvLutCZtZA/w5cMOgLKfrD/EL6vrqjruuy+EF6FMV5fy4
 TURfovryU+AX06ZagE8xRjuNKHs1cPUW4B8DfnpQltcvwgOE7+7eHUuR5Xo4
 tG0i2wt37bQh6S3K31aUbWtf71TtP1/1sc+mdNdC5KuFyJ+2i2qjvw34F+BH
 NoE/DPzkoCzv3VCNOlQ1HDsED9zv/hlEjvUWoNudg/X+dUEqy+Wqb3xlCL3F
 yItI3TYip4Vv7W3ApZvAfwN40aAsHz7dCWFXv38ZcPF4PG4iVEfMDj1DZOU8
 kR09EbYtNt8LqdSW06UXhbD3XvePHU5p2u6mbdpFrfb7LwNuWt9A29i+C/zc
 oCy/vVk/UAHjdgwn8IMvpHSbw/cXdw4W28H5w90Fdogc/OuieMMp8HYG+EuB
 f94E/hjwqkFZfmuzh0NbfTISkfmO8LCCJz7RNDf3ROp5U9JbWIUXW8Ac6Iv8
 6d293i8ttICcBv4C4JPA7s1q/KAsv7aVmqruPl3Yzl5rK8vxUuTwfWZ/twzp
 pLQ5pQXMZ3K46MIHH9qx441tadwI/vltc3LJJkw3Ae/f6qKgDhN3H65LAZHj
 rSA7fluMn37C/SNLbVWad1GntoBhNpUBuBm4fbXf/5nVfr/Tgu9b7fffA9wB
 XLAJzy3A7wzK0rfqgOzfv/9FZvbisizNzFJKaWpmo7a2r50nUt/U6dzYF3nh
 vIvKntq/bnTvYSvRu22vvpl9H3jJoCwfPRs9oTZLoTURWTtFTR4HRkfdn7zb
 7O2FyFqxcfN9unuvANu3CD8Cfvls4WcPMUwXwdsOal3fuPv4hqa5p3F/z2IL
 uIUu6mzsxkFZfvnpXKgiVCIybMeaCGttREas/ybl1WsmkxsC/NcW+teztX8E
 3v50L545AENZV5TzH9eYzFtAd6+fFKmfdL9GYHQO4R8F/mRQlva0HVANtSgj
 URkG1RGyvqhN2i3yWlWju6cXHzv2XRV5/TmCfwL4xUFZ/u8PcxNVoVHRsaqO
 RWWkouvCzN0bVW3MLNV1PV9db2lF2A9rbxmU5f0/7E0UJAaVcRaySVCdiMh0
 Ji+8VtXG3U/qotrp/qNWqzxde9egLD98LqZRVUghhEmWhamqVqpSi0gDEoHU
 NPVTdE0rsH5zs43X09hH2gCcE9Msy1MIocrzrApZqEIItapGVbWUkrtvDDko
 y08Cbz3L73sP8PpBWcZz5kCeB8uyrC7yvMmyLGYhpBA0qeq8DTyT/QXw3i1+
 1z8BfzAoy4pzaPrVr33dVaXpdDqxyPOU51kKqj5c+CHtdNZqlt8Gbt3k1JuB
 3xqUZeIc26yPN5KqWJ5llue5Hzn6xJZzu02HXwFuaBvvUzdl3wxce64jf+Jf
 H1q78nmXSR2N+x94wJ/uzVb7/ecCvwdc1G5/3DQoywf5f7T/A1Ta7L86CJKa
 AAAAAElFTkSuQmCC

Package: libespeak
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, espeak-data (>= 1.43.02), pulseaudio
Description: eSpeak speech synthesizer library

Package: libespeak-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, libespeak (>= 1.43.02)
Description: eSpeak speech synthesizer development files

Package: espeak-data
Architecture: all
Section: data
Description: eSpeak speech data files

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 IS_FREMANTLE=$(shell if grep Fremantle /etc/maemo_version &> /dev/null; then echo y; else echo n; fi)
 
-DEB_TAR_SRCDIR:=espeak-1.43-source/src
+DEB_TAR_SRCDIR:=espeak-1.43.02-source/src
 DEB_DESTDIR=$(CURDIR)/debian/tmp
 #DEB_MAKE_BUILD_TARGET:=all AUDIO=none
 #DEB_MAKE_INSTALL_TARGET=install DESTDIR=$(DEB_DESTDIR) AUDIO=none

## espeak 1.43.03

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 PACKAGE:=espeak
-VERSION:=1.43.02
+VERSION:=1.43.03
 URLS=$(URL_SFNET)/espeak
 SOURCE:=espeak-$(VERSION)-source.zip

=== debian/changelog ===
espeak (1.43.03) stable; urgency=low

  * New upstream release

 -- Kaj-Michael Lang <milang@tal.org>  Mon, 15 Mar 2010 18:01:00 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Architecture: any
 Section: user/multimedia
 XB-Maemo-Display-Name: eSpeak CLI Speech synthesizer 
-Depends: ${shlibs:Depends}, libespeak (>= 1.43.02), espeak-data (>= 1.43.02)
+Depends: ${shlibs:Depends}, libespeak (>= 1.43.03), espeak-data (>= 1.43.03)
 Description: Speech synthesizer for English and other languages
  eSpeak is a compact open source software speech synthesizer for English and other languages.
  This software can only be run from the command line.
@@ -99,13 +99,13 @@
 Package: libespeak
 Architecture: any
 Section: libs
-Depends: ${shlibs:Depends}, espeak-data (>= 1.43.02), pulseaudio
+Depends: ${shlibs:Depends}, espeak-data (>= 1.43.03), pulseaudio
 Description: eSpeak speech synthesizer library
 
 Package: libespeak-dev
 Architecture: any
 Section: libdevel
-Depends: ${shlibs:Depends}, libespeak (>= 1.43.02)
+Depends: ${shlibs:Depends}, libespeak (>= 1.43.03)
 Description: eSpeak speech synthesizer development files
 
 Package: espeak-data

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 IS_FREMANTLE=$(shell if grep Fremantle /etc/maemo_version &> /dev/null; then echo y; else echo n; fi)
 
-DEB_TAR_SRCDIR:=espeak-1.43.02-source/src
+DEB_TAR_SRCDIR:=espeak-1.43.03-source/src
 DEB_DESTDIR=$(CURDIR)/debian/tmp
 #DEB_MAKE_BUILD_TARGET:=all AUDIO=none
 #DEB_MAKE_INSTALL_TARGET=install DESTDIR=$(DEB_DESTDIR) AUDIO=none

## espeak 1.43.03-1

=== debian/changelog ===
espeak (1.43.03-1) stable; urgency=low

  * Removed the tiny data files for Russian, Cantonese Chinese and Mandarin Chinese
    and created a new packge with the big data files from espeak homepage.

 -- Kaj-Michael Lang <milang@tal.org>  Tue, 20 Apr 2010 16:30:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: espeak
 Priority: optional
 Maintainer: Kaj-Michael Lang
-Build-Depends: debhelper (>= 4.1.0), cdbs, pulseaudio-dev
+Build-Depends: debhelper (>= 4.1.0), cdbs, portaudio19-dev
 Standards-Version: 3.8.0
 
 Package: espeak
 Architecture: any
 Section: user/multimedia
-XB-Maemo-Display-Name: eSpeak CLI Speech synthesizer 
+XB-Maemo-Display-Name: eSpeak - CLI Speech synthesizer 
 Depends: ${shlibs:Depends}, libespeak (>= 1.43.03), espeak-data (>= 1.43.03)
 Description: Speech synthesizer for English and other languages
  eSpeak is a compact open source software speech synthesizer for English and other languages.
@@ -99,7 +99,7 @@
 Package: libespeak
 Architecture: any
 Section: libs
-Depends: ${shlibs:Depends}, espeak-data (>= 1.43.03), pulseaudio
+Depends: ${shlibs:Depends}, espeak-data (>= 1.43.03)
 Description: eSpeak speech synthesizer library
 
 Package: libespeak-dev

=== debian/rules ===
--- 
+++ 
@@ -15,10 +15,12 @@
 DEB_MAKE_BUILD_TARGET:=all AUDIO=pulseaudio DATADIR=/opt/espeak/data
 DEB_MAKE_INSTALL_TARGET=install DESTDIR=$(DEB_DESTDIR) AUDIO=pulseaudio DATADIR=/opt/espeak/data
 DEB_OPT_FLAG_armel:=-O2 -fomit-frame-pointer -pipe -mcpu=cortex-a8
+ES_DATA_DIR=/opt/espeak/data
 else
 DEB_MAKE_BUILD_TARGET:=all AUDIO=portaudio
 DEB_MAKE_INSTALL_TARGET=install DESTDIR=$(DEB_DESTDIR) AUDIO=portaudio
 DEB_OPT_FLAG_armel:=-O2 -fomit-frame-pointer -pipe -mcpu=arm1136jf-s -mfpu=vfp -mfloat-abi=softfp
+ES_DATA_DIR=/usr/share/espeak-data
 endif
 
 # Make sure we get properly optimized
@@ -36,5 +38,18 @@
 	sed -e s,@DATADIR@,/usr/share/espeak-data, debian/espeak-data.install.in > debian/espeak-data.install 
 endif
 
+# argh, stupid software writes directly to DATADIR even if not installed yet, need to pre-generate and package those instead
+#build/espeak::
+#	@echo "Building extra languages data"
+#	cp ru_listx zh_listx zhy_list build-tree/$(DEB_TAR_SRCDIR)/../dictsource/
+#	cd build-tree/$(DEB_TAR_SRCDIR)/../dictsource/ && ../src/espeak --compile=ru
+#	cd build-tree/$(DEB_TAR_SRCDIR)/../dictsource/ && ../src/espeak --compile=zh-yue
+#	cd build-tree/$(DEB_TAR_SRCDIR)/../dictsource/ && ../src/espeak --compile=zh
+
+install/espeak-data::
+	rm debian/tmp/$(ES_DATA_DIR)/ru_dict
+	rm debian/tmp/$(ES_DATA_DIR)/zhy_dict
+	rm debian/tmp/$(ES_DATA_DIR)/zh_dict
+
 install/espeak::
 	strip -g debian/tmp/usr/bin/espeak

## espeak 1.44.03

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 PACKAGE:=espeak
-VERSION:=1.43.03
+VERSION:=1.44.03
 URLS=$(URL_SFNET)/espeak
 SOURCE:=espeak-$(VERSION)-source.zip

=== debian/changelog ===
espeak (1.44.03) stable; urgency=low

  * New upstream release.

 -- Kaj-Michael Lang <milang@tal.org>  Mon, 16 Aug 2010 09:45:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: espeak
 Priority: optional
 Maintainer: Kaj-Michael Lang
-Build-Depends: debhelper (>= 4.1.0), cdbs, portaudio19-dev
+Build-Depends: debhelper (>= 4.1.0), cdbs, pulseaudio-dev
 Standards-Version: 3.8.0
 
 Package: espeak
 Architecture: any
 Section: user/multimedia
 XB-Maemo-Display-Name: eSpeak - CLI Speech synthesizer 
-Depends: ${shlibs:Depends}, libespeak (>= 1.43.03), espeak-data (>= 1.43.03)
+Depends: ${shlibs:Depends}, libespeak (>= 1.44.03), espeak-data (>= 1.44.03)
 Description: Speech synthesizer for English and other languages
  eSpeak is a compact open source software speech synthesizer for English and other languages.
  This software can only be run from the command line.
@@ -99,13 +99,13 @@
 Package: libespeak
 Architecture: any
 Section: libs
-Depends: ${shlibs:Depends}, espeak-data (>= 1.43.03)
+Depends: ${shlibs:Depends}, espeak-data (>= 1.44.03)
 Description: eSpeak speech synthesizer library
 
 Package: libespeak-dev
 Architecture: any
 Section: libdevel
-Depends: ${shlibs:Depends}, libespeak (>= 1.43.03)
+Depends: ${shlibs:Depends}, libespeak (>= 1.44.03)
 Description: eSpeak speech synthesizer development files
 
 Package: espeak-data

=== debian/rules ===
--- 
+++ 
@@ -3,8 +3,9 @@
 include /usr/share/cdbs/1/class/makefile.mk
 
 IS_FREMANTLE=$(shell if grep Fremantle /etc/maemo_version &> /dev/null; then echo y; else echo n; fi)
+IS_DIABLO=$(shell if grep Diablo /etc/maemo_version &> /dev/null; then echo y; else echo n; fi)
 
-DEB_TAR_SRCDIR:=espeak-1.43.03-source/src
+DEB_TAR_SRCDIR:=espeak-1.44.03-source/src
 DEB_DESTDIR=$(CURDIR)/debian/tmp
 #DEB_MAKE_BUILD_TARGET:=all AUDIO=none
 #DEB_MAKE_INSTALL_TARGET=install DESTDIR=$(DEB_DESTDIR) AUDIO=none

## espeak 1.44.05~really-1.44.04

=== debian/changelog ===
espeak (1.44.05~really-1.44.04-0ubuntu1) maverick; urgency=low

  * Update the intonation data to correctly match the voice data from the
    previous espeak release (LP: #644111)
  * Rebuild orig tarball to include updated intonation data, as dpkg-source
    being used by soyuz seems to error out when attempting to unpack a v3
    quilt format package with a binary file included in the debian tarball

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 21 Sep 2010 16:34:29 +1000

espeak (1.44.04-0ubuntu1) maverick; urgency=low

  * New upstream bugfix release:
    - Fix error in big-endian data conversion program, producing bad data.
    - Make geminated voiced stops (eg. [bb] ) longer at fast speeds.
    - Provide conditional compilation of the mbrola interface, define macro
      INCLUDE_MBROLA in speech.h
    - Mbrola: also look for mbrola voices in /usr/share/mbrola/voices
    - Pad TUNES and frame_t structures to a multiple of 4 bytes.
    - lang=da, Don't weaken unvoiced stops before pause.
    - lang=el, Remove final unstressed [a] if the next word starts with [a].
    - lang=pt, Change final [U] to [w] if next word starts with a vowel.
  * debian/patches/big-endian-fix.patch: Dropped, applied upstream
  * debian/rules: Refer to ChangeLog.txt

 -- Luke Yelavich <themuso@ubuntu.com>  Thu, 16 Sep 2010 08:57:00 +1000

espeak (1.44.03-0ubuntu2) maverick; urgency=low

  * debian/patches/big-endian-fix.patch: Patch to fix an issue with the
    endian conversion utility used at package build time. This fixes reports of
    garbled Hungarian speech output (LP: #623221)

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 14 Sep 2010 16:25:46 +1000

espeak (1.44.03-0ubuntu1) maverick; urgency=low

  * New upstream release (LP: #620179)
  * debian/patches/big-endian.diff: Dropped, applied upstream
  * Updated manpage

 -- Luke Yelavich <themuso@ubuntu.com>  Thu, 19 Aug 2010 10:22:22 +1000

espeak (1.43.03-2ubuntu1) maverick; urgency=low

  * Merge from debian unstable, remaining changes:
    - update espeak manpage with new command-line arguments
    - debian/copyright: updated
  * Add gbp.conf for use with git buildpackage
  * More updates to copyright file
  * Update the explanation of the -b command-line flag in the espeak manpage

 -- Luke Yelavich <themuso@ubuntu.com>  Fri, 06 Aug 2010 10:42:46 +1000

espeak (1.43.03-2) unstable; urgency=medium

  * debian/control:
    - Bump Standards-Version to 3.9.0 (no change needed).
  * debian/patches/big-endian.diff: New patch to fix phoneme index on
    big-endian machines (Closes: #585654).
  * debian/rules: Use portaudio19.h for building, but revert to upstream
    portaudio18.h on cleaning.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 01 Aug 2010 22:30:18 +0200

espeak (1.43.03-1ubuntu1) maverick; urgency=low

  * Merge from debian unstable, remaining changes:
    - Build big_endian/espeak-phoneme-data.c for use in preparing
      espeak voice metadata for packaging.
    - Do not build with -pedantic.
    - espeak doesn't need to be linked against libstdc++.
    - update espeak manpage with new command-line arguments
    - debian/copyright: updated
    - Build libespeak.a with an additional make call, and copy it from src/
      as it somehow vanishes during the rest of the build.
    - Move phondata-manifest to the platforms/big_endian directory so it
      doesn't get squashed during the package build

 -- Luke Yelavich <themuso@ubuntu.com>  Thu, 22 Jul 2010 19:19:15 +0200

espeak (1.43.03-1) unstable; urgency=low

  * New upstream release (Closes: #564583, #573536).
  * debian/control:
    - Add misc:Depends to espeak-data.
    - Bump Standards-Version to 3.9.0 (no change needed).
    - Set Maintainer to debian-accessibility.
    - Add myself as uploader.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 18 Jul 2010 19:54:37 +0200

espeak (1.43.03-0ubuntu1) lucid; urgency=low

  * New upstream bugfix release
    - Fix crash when embedded control codes are followed by numbers of 5 or more
      digits.
    - Fix lang=hu,  First character of an abbreviation is missed after an
      ordinal number (eg."2. cd")
    - Fix XML tag not recognized after "..." when announce punctuation is
      enabled.
    - Fix lang=zh-yue, 'p' 't' 'k' after a vowel give a long pause.
    - Fix lang=ru, "o" missing in unstressed syllables.
  * debian/rules: Hard code version number for point release

 -- Luke Yelavich <themuso@ubuntu.com>  Thu, 25 Mar 2010 15:34:41 +1100

espeak (1.43-1) unstable; urgency=low

  [ Samuel Thibault ]
  * debian/watch: Add.
  * debian/rules: Systematically rebuild voices for big-endian architectures
    (Closes: Bug#439019).
  * src/speak_lib.h: Include stddef.h (Closes: Bug#565571).

  [ Mario Lang ]
  * New upstream release.
  * debian:watch: Use sf redirector.
  * debian/rules: Fix location of phonedata-manifest.
  * debian/rules Add ${misc:Depends} to a few packages to make lintian
    happy.
  * debian/control: Upgrade Standards-Version from 3.8.1 to 3.8.4 (no
    changes).

 -- Mario Lang <mlang@debian.org>  Fri, 19 Feb 2010 19:30:55 +0100

espeak (1.43-0ubuntu1) lucid; urgency=low

  * New upstream release

 -- Luke Yelavich <themuso@ubuntu.com>  Wed, 17 Feb 2010 13:21:43 +1100

espeak (1.42.04-0ubuntu1) lucid; urgency=low

  * New upstream release
  * Actually build and generate big endian phoneme data

 -- Luke Yelavich <themuso@ubuntu.com>  Thu, 07 Jan 2010 13:16:45 +1100

espeak (1.41.01-1ubuntu1) lucid; urgency=low

  * Merge from debian testing, remaining changes:
    - Build big_endian/espeak-phoneme-data.c for use in preparing
      espeak voice metadata for packaging.
    - Do not build with -pedantic.
    - espeak doesn't need to be linked against libstdc++.
    - update espeak manpage with new command-line arguments
    - debian/copyright: updated
    - Build libespeak.a with an additional make call, and copy it from src/
      as it somehow vanishes during the rest of the build.


=== debian/control ===
Source: espeak
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
Uploaders: Mario Lang <mlang@debian.org>, Samuel Thibault <sthibault@debian.org>
Vcs-Browser: http://git.debian.org/?p=pkg-a11y/espeak.git;a=summary
Vcs-Git: git://git.debian.org/git/pkg-a11y/espeak.git
Homepage: http://espeak.sourceforge.net/
Build-Depends: debhelper (>= 5.0.0), portaudio19-dev
Standards-Version: 3.9.1

Package: espeak
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A multi-lingual software speech synthesizer
 eSpeak is a software speech synthesizer for English, and some other
 languages.
 .
 eSpeak produces good quality English speech. It uses a different synthesis
 method from other open source text to speech (TTS) engines, and sounds quite
 different. It's perhaps not as natural or "smooth", but some find the
 articulation clearer and easier to listen to for long periods.
 .
 It can run as a command line program to speak text from a file or from stdin.
 .
   * Includes different Voices, whose characteristics can be altered.
   * Can produce speech output as a WAV file.
   * Can translate text to phoneme codes, so it could be adapted as a front end
     for another speech synthesis engine.
   * Potential for other languages. Rudimentary (and probably humourous)
     attempts at German and Esperanto are included.
   * Compact size. The program and its data total about 350 kbytes.
   * Written in C++.

Package: espeak-data
Architecture: any
Depends: ${misc:Depends}
Recommends: espeak (= ${binary:Version})
Description: A multi-lingual software speech synthesizer: speech data files
 eSpeak is a software speech synthesizer for English, and some other
 languages. This package contains necessary synthesizer data files needed
 for the espeak program, and the shared library.

Package: espeak-data-udeb
Section: debian-installer
Architecture: any
XC-Package-Type: udeb
Description: A multi-lingual software speech synthesizer: speech data files
 eSpeak is a software speech synthesizer for English, and some other
 languages. This package contains necessary synthesizer data files needed
 for the espeak program, and the shared library.

Package: libespeak1
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}, espeak-data (= ${binary:Version})
Description: A multi-lingual software speech synthesizer: shared library
 eSpeak is a software speech synthesizer for English, and some other
 languages. This package contains the espeak program in a shared library.

Package: libespeak-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, libespeak1 (= ${binary:Version})
Description: A multi-lingual software speech synthesizer: development files
 eSpeak is a software speech synthesizer for English, and some other
 languages. This package contains the eSpeak development files needed to
 build against the espeak shared library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

soname=libespeak.so.1
#version=$(shell dpkg-parsechangelog|sed -n -e 's/^Version: //p'|cut -d- -f1)
version=1.44

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif


build: build-stamp

build-stamp:
	dh_testdir

	cp src/portaudio19.h src/portaudio.h
	cd src && CXXFLAGS="$(CXXFLAGS) $(CFLAGS)" $(MAKE)

	# Build static speak binary
	cd platforms/big_endian && CFLAGS="$(CFLAGS)" $(MAKE)
	# Build voice metadata.
	cp -a $(CURDIR)/espeak-data $(CURDIR)/espeak-data-local
	$(CURDIR)/platforms/big_endian/espeak-phoneme-data $(CURDIR)/espeak-data-local $(CURDIR)/espeak-data-local $(CURDIR)/platforms/big_endian/phondata-manifest

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	-cd src && $(MAKE) distclean
	cp -f src/portaudio18.h src/portaudio.h
	-cd platforms/big_endian && $(MAKE) clean

	rm -fr espeak-data-local

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	install -m 755 -o root -g root src/espeak $(CURDIR)/debian/espeak/usr/bin/espeak
	cp -r espeak-data-local $(CURDIR)/debian/espeak-data/usr/share/espeak-data
	find $(CURDIR)/debian/espeak-data/usr/share -type f -exec chmod 644 {} \;
	find $(CURDIR)/debian/espeak-data/usr/share -type d -exec chmod 755 {} \;
	cp -al $(CURDIR)/debian/espeak-data/usr $(CURDIR)/debian/espeak-data-udeb
	rm -fr $(CURDIR)/debian/espeak-data-udeb/usr/share/espeak-data/mbrola* $(CURDIR)/debian/espeak-data-udeb/usr/share/espeak-data/voices/mb $(CURDIR)/debian/espeak-data-udeb/usr/share/espeak-data/voices/test
	install -m 644 -o root -g root src/$(soname).$(version) $(CURDIR)/debian/libespeak1/usr/lib/$(soname).$(version)
	cd $(CURDIR)/debian/libespeak1/usr/lib && ln -s $(soname).$(version) $(soname)
	cd $(CURDIR)/debian/libespeak1/usr/lib && ln -s $(soname).$(version) libespeak.so 
	mv $(CURDIR)/debian/libespeak1/usr/lib/libespeak.so $(CURDIR)/debian/libespeak-dev/usr/lib
	install -m 644 -o root -g root src/libespeak.a $(CURDIR)/debian/libespeak-dev/usr/lib
	install -m 644 -o root -g root src/speak_lib.h $(CURDIR)/debian/libespeak-dev/usr/include/espeak

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog.txt
	dh_installdocs
	dh_installman debian/espeak.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs -V
	dh_shlibdeps -L libespeak1 -l debian/libespeak1/usr/lib
	dh_installdeb -v
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
